import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'of-pages-target',
  templateUrl: './target-page.component.html',
})
export class TargetPageComponent implements OnInit {

  tabs = undefined;

  constructor(private router: Router) {
  }

  ngOnInit() {

    const id = this.router.url.split('target/')[1].split('/')[0];

    this.tabs = [
      { label: 'INFO', routerLink: ['/target/', id, 'info'] },
      { label: 'HISTORY', path: ['/target/', id, 'history'], disabled: true },
    ];

  }
}
